using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.ProgramManager.Cqrs;

public class UpdateProgramManagerValidator : AbstractValidator<UpdateProgramManagerRequest>
{
    public UpdateProgramManagerValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.Title).NotEmpty().MaximumLength(GlobalConsts.StringLengthMedium);
        RuleFor(x => x.ProgramManagerResourceId).NotEmpty().WithMessage("Resource is required");
    }
}